## logrotate 3.7.8

=== debian/changelog ===
logrotate (3.7.8-6ubuntu3) natty; urgency=low

  * cron.daily: Fixing a shell redirection error

 -- Ahmed Kamal <kim0@ubuntu.com>  Sun, 13 Mar 2011 02:21:08 +0200

logrotate (3.7.8-6ubuntu2) natty; urgency=low

  * cron.daily: Added ability to clean non existent log files from 
    logrotate status file (LP: #730504)

 -- Ahmed Kamal <kim0@ubuntu.com>  Sat, 12 Mar 2011 14:58:38 +0200

logrotate (3.7.8-6ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #554823), remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 14 Jul 2010 19:34:54 +0200

logrotate (3.7.8-6) unstable; urgency=low

  * New patch:
    + ucf-taboos.patch. Add common ucf files to default taboo list. Thanks
      to Noah Massey.

 -- Paul Martin <pm@debian.org>  Sat, 17 Apr 2010 22:01:47 +0100

logrotate (3.7.8-5) unstable; urgency=low

  * New patch:
    + parser571033.patch: fix the config parser to not get confused when
      a wildcard produces no results. (Closes: 571033)
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump debhelper version to 7 (dh_clean -k -> dh_prep).
  * Update standards version to 3.8.4 (no changes).

 -- Paul Martin <pm@debian.org>  Sat, 20 Mar 2010 19:37:26 +0000

logrotate (3.7.8-4ubuntu2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sun, 07 Mar 2010 00:56:16 +0100

logrotate (3.7.8-4ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #414347
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 16 Aug 2009 12:40:24 +0530

logrotate (3.7.8-4) unstable; urgency=high

  * New patch:
    + security-388608.patch: A race condition in the creation of 
      compressed and copied log files makes it possible to overwrite 
      arbitrary files by generating a link or symlink during a window 
      of opportunity between logrotate renaming a log file and creating 
      the copy of the next. (Closes: #388608) Once again, many thanks to
      Florian Zumbiehl for forcing me to think.
  * Uploading to unstable.

 -- Paul Martin <pm@debian.org>  Fri, 14 Aug 2009 23:22:04 +0100

logrotate (3.7.8-3) experimental; urgency=low

  * New patch:
    + nofollow.patch: If a logfile is a symlink, it may be read when
      being compressed, being copied (copy, copytruncate) or mailed.
      Secure data (eg. password files) may be exposed. Thanks to
      Florian Zumbiehl for getting me thinking about this one.

 -- Paul Martin <pm@debian.org>  Thu, 06 Aug 2009 16:35:41 +0100

logrotate (3.7.8-2) experimental; urgency=low

  * New patch:
    + create-388608.patch: Really squash the race condition for the 
      creation of compressed log files and the creation of new ones.
      (Closes: 388608)

 -- Paul Martin <pm@debian.org>  Tue, 04 Aug 2009 21:16:03 +0100

logrotate (3.7.8-1) experimental; urgency=low

  * New upstream release:
    - do not exit on status file errors
    - limit config file inclusion nesting
    - use hashes for status file handling (patch by Petr Tesarik 
      <ptesarik@suse.cz> and Leonardo Chiquitto)
    - dateformat to allow unixtime (patch by Sami Kerola <kerolasa@iki.fi>)
  * Upstream has taken some of our patches:
    - manpage.patch: partial uptake, updated
    - man-189243.patch: fully applied upstream
    - man-sizetypo.patch: fully applied upstream
    - man-overriden.patch: fully applied upstream
  * Added a watch file (but upstream has a redirect to https).
  * Upstream has also fixed createOutputFile to be more secure
    (Closes: #388608)
  * New Debian patch:
    + sharedscripts-519432.patch: Prerotate and postrotate scripts get the 
      list of rotated files passed to them as arguments. (Closes: #519432)
    + chown-484762.patch: If running as non-root, warn but don't abort if
      we can't chown the compressed log file. (Closes: #484762)
  * Update Standards-Version to 3.8.2. (No changes)

 -- Paul Martin <pm@debian.org>  Tue, 04 Aug 2009 15:18:18 +0100

logrotate (3.7.7-5ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #410660
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 08 Aug 2009 17:00:10 +0530

logrotate (3.7.7-5) unstable; urgency=high

  * Backport patch from 3.7.8-3 (in experimental):
    + nofollow.patch: If a logfile is a symlink, it may be read when 
      being compressed, being copied (copy, copytruncate) or mailed. 
      Secure data (eg. password files) may be exposed. Thanks to
      Florian Zumbiehl for getting me thinking about this one.

 -- Paul Martin <pm@debian.org>  Thu, 06 Aug 2009 16:41:26 +0100

logrotate (3.7.7-4) unstable; urgency=low

  * Update location of upstream in debian/copyright.

 -- Paul Martin <pm@debian.org>  Thu, 19 Feb 2009 11:54:07 +0000

logrotate (3.7.7-3) unstable; urgency=low

  * Fix sharedcycles. (Closes: #512152)

 -- Paul Martin <pm@debian.org>  Sun, 18 Jan 2009 00:48:49 +0000

logrotate (3.7.7-3ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don'c configure an MTA by default.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 18 Jan 2009 05:51:34 +0000

logrotate (3.7.7-2ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: LP: #313461
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used on
      request, and we don't configure an MTA by default.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 03 Jan 2009 19:08:07 +0530


