=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

export DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS \
	2>/dev/null || true)

export DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture \
	-qDEB_HOST_GNU_SYSTEM 2>/dev/null || true)

ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

configure: configure-stamp
configure-stamp: patch
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp: patch
	dh_testdir

ifeq ($(DEB_HOST_ARCH_OS),linux)
	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)" WITH_SELINUX="yes"
else
	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)"
endif

	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f .depend

	dh_clean logrotate.selinux

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/logrotate.
	$(INSTALL_PROGRAM) $(CURDIR)/logrotate \
	  $(CURDIR)/debian/logrotate/usr/sbin/
	#$(INSTALL_PROGRAM) $(CURDIR)/logrotate.selinux \
	#  $(CURDIR)/debian/logrotate-selinux/usr/sbin/logrotate

	$(INSTALL_FILE) $(CURDIR)/debian/logrotate.conf \
	  $(CURDIR)/debian/logrotate/etc/logrotate.conf
	#$(INSTALL_FILE) $(CURDIR)/debian/logrotate.conf \
	#  $(CURDIR)/debian/logrotate-selinux/etc/logrotate.conf

	# reportbug script
	$(INSTALL_SCRIPT) $(CURDIR)/debian/logrotate.bug \
	  $(CURDIR)/debian/logrotate/usr/share/bug/logrotate/script
	#$(INSTALL_SCRIPT) $(CURDIR)/debian/logrotate.bug \
	#  $(CURDIR)/debian/logrotate-selinux/usr/share/bug/logrotate/script



# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman logrotate.8
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

#patch: patch-stamp
#patch-stamp:
#	dpatch apply-all
#	touch patch-stamp
#	# dpatch call-all -a=pkg-info >patch-stamp
#
#unpatch:
#	dpatch deapply-all
#	rm -rf patch-stamp debian/patched

.PHONY: build clean binary-indep binary-arch binary install configure \
 patch unpatch clean-patched
