## logrotate 3.8.1

=== debian/changelog ===
logrotate (3.8.1-4) unstable; urgency=low

  * Switch to dh type debian/rules.
  * Patch:
    + test-cleanup.patch: Clean up after regression tests.

 -- Paul Martin <pm@debian.org>  Thu, 17 May 2012 13:58:57 +0100

logrotate (3.8.1-3) unstable; urgency=low

  * Enabled hardened build flags.
  * Patch:
    + asprintf-fixes.patch: Fix asprintf() warnings and allow build with
      hardened build flags.
  * Update standards version to 3.9.3.

 -- Paul Martin <pm@debian.org>  Thu, 17 May 2012 00:36:48 +0100

logrotate (3.8.1-2) unstable; urgency=low

  * Removed dependancy on fcron as it is no longer in the repository.

 -- Paul Martin <pm@debian.org>  Wed, 21 Dec 2011 11:02:53 +0000

logrotate (3.8.1-1) unstable; urgency=low

  * New upstream release
    + Changes in 3.8.0 fix build problems on non-POSIX architectures 
      (Closes: #632501)
    + New config options: dateyesterday, maxsize, su. (See manpage.)
      (maxsize Closes: #635184)
  * New patch:
    + man-compressext-576362.patch. Correct manpage about compressext,
      compressoptions behaviour. (Closes: #576362)
  * debian/logrotate.README.Debian: update now that rsyslog is default
    for new installs. (Closes: #649598)
  * Incidentally, rsyslog is now default syslog, and that doesn't use 
    savelog but makes use of logrotate. (Closes: #379843)
  * Install logrotate.conf.5 (a redirect to logrotate.8) (Closes: #182261)
  * debian/control: depend on cron-daemon as an alternative to cron.
    (Closes: #334137)
  * lintian warning fix: move debian/logrotate.copyright to debian/copyright
  * debian/control: add Breaks: postgresql-common (<= 126) as its config 
    file requires an "su". Postgres maintainer is aware and awaits this
    upload.
  * Upload to unstable. (Closes: #648025)

 -- Paul Martin <pm@debian.org>  Mon, 05 Dec 2011 17:58:16 +0000

logrotate (3.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #633529)
    + Fixes for CVE-2011-1098, CVE-2011-1154, and CVE-2011-1155
      (Closes: #639302)
    + dateformat sorting noted in manpage (Closes: #580054)
  * Changed debian/control to use [linux-any] in Build-Depends.
    (Closes: #634704)
  * Removed patches:
    + create-388608.patch: Upstream has fixed this.
    + nofollow.patch: Upstream has fixed this.
    + security-388608.patch: Upstream has fixed this.
    + FTBFS-hurd-613342.patch: Adopted upstream. (Closes: #613342)

 -- Paul Martin <pm@debian.org>  Sun, 28 Aug 2011 19:11:09 +0100

logrotate (3.7.9-1) experimental; urgency=low

  * New upstream release
  * New patch:
    + FTBFS-hurd-613342.patch. Half of a fix to #613342. Unfortunately
      the rest of the supplied patch leaks memory badly.
  * Removed patches:
    - deb-taboos.patch (applied upstream)
    - ucf-taboos.patch (applied upstream)
    - compressutime.patch (applied upstream)
    - rh-toolarge.patch (upstream does things a different way)
    - rh-curdir2.patch (applied upstream) 
    - parser571033.patch (applied upstream) 
  * Added build-arch/build-indep targets to debian/rules.
  * Update standards version to 3.9.2 (no changes).
 -- Paul Martin <pm@debian.org>  Wed, 22 Jun 2011 15:51:46 +0100
