=== debian/control ===
Source: logrotate
Section: admin
Priority: important
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: libpopt-dev, debhelper (>= 9), quilt, libselinux1-dev [linux-any]
Standards-Version: 3.9.3

Package: logrotate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon, base-passwd (>= 2.0.3.4)
Breaks: postgresql-common (<= 126)
Recommends: mailx
Description: Log rotation utility
 The logrotate utility is designed to simplify the administration of
 log files on a system which generates a lot of log files.  Logrotate
 allows for the automatic rotation compression, removal and mailing of
 log files.  Logrotate can be set to handle a log file daily, weekly,
 monthly or when the log file gets to a certain size.  Normally, logrotate
 runs as a daily cron job.
