=== debian/changelog ===
logrotate (3.8.7-2ubuntu2.16.04.2) xenial; urgency=medium

  * logrotate does not ever recover from a corrupted statefile (LP: #1709670)
    - d/p/do-not-treat-failure-of-readState-as-fatal.patch
    (Backported from commit b9d82003002c98370e4131a7e43c76afcd23306a)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 09 Aug 2017 16:02:21 -0400

logrotate (3.8.7-2ubuntu2.16.04.1) xenial; urgency=medium

  * createOutputFile: rename already existing file (LP: #1630516)
    - d/p/ubuntu/createOutputFile-eliminate-stat-open-TOCTOU-race.patch
    - d/p/ubuntu/createOutputFile-rename-already-existing-file.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 22 Mar 2017 11:47:34 +0100

logrotate (3.8.7-2ubuntu2) wily; urgency=medium

  * debian/patches/manpage.patch: fix state file path in FILES section
    (LP: #772214)

 -- Andrey Bondarenko <abondarenko@users.sourceforge.net>  Tue, 01 Sep 2015 11:56:43 +0500

logrotate (3.8.7-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 21 May 2015 16:58:31 -0700

logrotate (3.8.7-2) unstable; urgency=low

  * New patch:
    - taboo-716649.patch: Add .dpkg-bak and .dpkg-del to taboo extensions.
      (Closes: #716649)
  * Bump standards version to 3.9.6. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Tue, 05 May 2015 23:18:48 +0100

logrotate (3.8.7-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jan 2014 11:05:42 -0800

logrotate (3.8.7-1) unstable; urgency=low

  * New patch:
    - man-su-explanation-729315.patch: Explain how "su" may conflict with
      "create". (Closes: #729315)
  * New upstream release
    - Fix to forcing size-based rotations. (Closes: #714910)
  * Bump standards version to 3.9.5. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Fri, 17 Jan 2014 09:46:01 +0000

logrotate (3.8.6-1ubuntu2) trusty; urgency=low

  * debian/logrotate.conf: use group 'syslog' by default when rotating logs,
    otherwise logrotate will refuse to rotate logs in /var/log whose owning
    group is now syslog instead of root.  LP: #1258202.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 05 Dec 2013 10:35:47 -0800

logrotate (3.8.6-1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Oct 2013 08:20:39 -0700

logrotate (3.8.6-1) unstable; urgency=low

  * New upstream release
    - logrotate crashes with sharedscripts when no logs are rotated.
    - Fix potential buffer overflow in parsing config.
  * New patch:
    - mktime-718332.patch: Fix incorrectly initialized struct tm causing
      extra rotations. (Closes: #718332)

 -- Paul Martin <pm@debian.org>  Tue, 03 Sep 2013 21:34:00 +0100

logrotate (3.8.5-1) unstable; urgency=low

  * New upstream release
    + Check for both possible orders of script output in tests.
      (Closes: #707526)
    + If logrotate state file is corrupted, fail with error.
    + Make logrotate state file creation atomic. (Closes: #707526)
    + Add fsync during log copytruncate and gzip+unlink.
    + Allow 'hourly' rotation.
    + Do not try to parse big (16+ MB) config files.
  * Debian patches merged upstream:
    - dst.patch
    - man-startcount.patch
    - man-compressext-576362.patch
    - asprintf-fixes.patch
    - makefile-test-cleanup.patch
    - manpage-hyphens.patch
    - acl-nosys-706050.patch
    - size-longlong-706460.patch
    - timetraveller-704950.patch

 -- Paul Martin <pm@debian.org>  Wed, 26 Jun 2013 22:26:23 +0100

logrotate (3.8.3-5) unstable; urgency=low

  * New patches:
    + timetraveller-704950.patch: don't complain if the local time has changed
      such that the last rotation was in the "future" if the change is less
      than 25 hours. This allows for timezone shifts for travellers.
      (Closes: #704950) Please note that logrotate should not be relied upon
      if you are using a TARDIS.
    + size-longlong-706460.patch: Parse the number in the size/minsize/maxsize
      as an unsigned long long instead of just an unsigned long. For those who
      like to write their multigigabyte values in bytes. (Closes: #706460)
  * Update standards version to 3.9.4. (No changes needed.)

 -- Paul Martin <pm@debian.org>  Tue, 30 Apr 2013 18:44:41 +0100

logrotate (3.8.3-4) experimental; urgency=low

  * Accommodate cross-building and "nocheck". (Closes: #694835)
  * Accommodate ext3 filesystem returning wrong error if ACL is disabled.
    (Closes: #706050)
  * Replace patches/acl-tests.patch with the ones from upstream SVN, as
    patches/rh391-acl-test.patch, rh394-acl-tests.patch, rh397-acl-tests.patch
  * Replace patches/configparse.patch with upstream's rh401-tabooextloop.patch
  * Imported from upstream SVN:
    + patch/rh390-version.patch: Add --version option.
    + patch/rh392-skip-errors.patch: Fixed bug which prevented skipping
      particular log file config if the config contains errors
    + patch/rh393-kilo.patch: Allow both 'k' and 'K' in size.

