=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,37 @@
   endif
 endif
 
+DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+  CROSS :=
+else
+  CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
+endif
+
+
 %:
 	dh $@
 
 override_dh_auto_build:
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)" WITH_SELINUX="yes"
+	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)" WITH_SELINUX="yes" WITH_ACL="yes" $(CROSS)
 else
-	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)"
+	$(MAKE) RPM_OPT_FLAGS="$(CFLAGS)" $(CROSS)
 endif
 
 override_dh_auto_install:
+
+override_dh_auto_clean:
+	$(MAKE) clean
+	cd test ; rm -f $$(ls | egrep '^test-config.[0-9]+$$')
+	cd test ; rm -f test*.log* anothertest*.log* state test-config.
+	cd test ; rm -f scriptout mail-out compress-args different*.log*
+
+# ACL tests will fail if we're not building with ACL
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+  ifeq ($(DEB_HOST_ARCH_OS),linux)
+	cd test ; ./test
+  endif
+endif
