## logrotate 3.11.0

=== debian/changelog ===
logrotate (3.11.0-0.1ubuntu1) artful; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.
    - debian/patches/manpage.patch: fix state file path in FILES section
      (LP #772214)
      [ Refreshed ]
    - logrotate does not ever recover from a corrupted statefile (LP #1709670)
      + d/p/do-not-treat-failure-of-readState-as-fatal.patch
      [ Refreshed to be an unmodified cherry-pick ]
  * Drop:
    - createOutputFile: rename already existing file (LP: #1630516)
      + d/p/ubuntu/createOutputFile-eliminate-stat-open-TOCTOU-race.patch
      + d/p/ubuntu/createOutputFile-rename-already-existing-file.patch
      [ Fixed upstream ]

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 21 Aug 2017 16:01:27 -0700

logrotate (3.11.0-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream version 3.11.0  Closes: #734688
  * Refresh patch queue, and fix several regressions
  * Update watch file. Closes: #844578, also Homepage information
  * Specify bsd-mailx as default mailx provider. Closes: #849743

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 07 Jan 2017 19:54:50 +0100

logrotate (3.8.7-2ubuntu4) artful; urgency=medium

  * logrotate does not ever recover from a corrupted statefile (LP: #1709670)
    - d/p/do-not-treat-failure-of-readState-as-fatal.patch
    (Backported from commit b9d82003002c98370e4131a7e43c76afcd23306a)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 09 Aug 2017 11:39:36 -0700

logrotate (3.8.7-2ubuntu3) zesty; urgency=medium

  * createOutputFile: rename already existing file (LP: #1630516)
    - d/p/ubuntu/createOutputFile-eliminate-stat-open-TOCTOU-race.patch
    - d/p/ubuntu/createOutputFile-rename-already-existing-file.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 22 Mar 2017 11:47:34 +0100
