=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: logrotate
 Section: admin
 Priority: important
-Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: libpopt-dev, debhelper (>= 9), quilt, libselinux1-dev [linux-any]
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Martin <pm@debian.org>
+Build-Depends: libpopt-dev, debhelper (>= 9),
+ libselinux1-dev [linux-any], libacl1-dev [linux-any], automake
+Vcs-Svn: http://svn.fedorahosted.org/svn/logrotate/
+Homepage: https://github.com/logrotate/logrotate
+Standards-Version: 3.9.6
 
 Package: logrotate
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon, base-passwd (>= 2.0.3.4)
 Breaks: postgresql-common (<= 126)
-Recommends: mailx
+Suggests: bsd-mailx | mailx
 Description: Log rotation utility
  The logrotate utility is designed to simplify the administration of
  log files on a system which generates a lot of log files.  Logrotate
