## logrotate 3.14.0

=== debian/changelog ===
logrotate (3.14.0-4ubuntu3) disco; urgency=medium

  * Fix typo in 'adm' group name.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Jan 2019 10:11:39 +0000

logrotate (3.14.0-4ubuntu2) disco; urgency=medium

  * Use group 'adm' instead of 'syslog' when rotating logs.  LP: #1644996.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Jan 2019 16:28:19 +0200

logrotate (3.14.0-4ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop mailx to Suggests for Ubuntu; it's only used
      on request, and we don't configure an MTA by default.
    - debian/logrotate.conf: use group 'syslog' by default when rotating logs.
  * Dropped changes, included upstream:
    - logrotate does not ever recover from a corrupted statefile
      + d/p/do-not-treat-failure-of-readState-as-fatal.patch
  * Dropped changes, no longer needed:
    - debian/patches/manpage.patch: state file path now picked up dynamically
      at build time.
  * Dropped changes:
    - debian/cron.daily: Clean non-existent log files from logrotate status
      file.  It is not immediately clear whether logrotate now does this
      itself without help, but with the move to systemd timers this is no
      longer an effective way to handle it.  Debian bug #871592 suggests
      that this is fixed upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Sep 2018 20:51:14 +0200

logrotate (3.14.0-4) unstable; urgency=medium

  * d/control:
    - add Multi-Arch: foreign (Closes: #730420)
    - bump to std version 4.2.1 (no further changes)
  * d/tests: 
    - fix and add simple test
  * d/patches: drop MemoryDenyWriteExecute from systemd service (Closes:
    #907505)

 -- Christian Göttsche <cgzones@googlemail.com>  Wed, 29 Aug 2018 00:21:11 +0200

logrotate (3.14.0-3) unstable; urgency=medium

  * d/patches: 
    - re-introduce patch fixing test failure on ppc64el
    - fix order of patches

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 21 Aug 2018 22:23:48 +0200

logrotate (3.14.0-2) unstable; urgency=medium

  * d/upstream/metadata: update
  * d/logrotate.README.Debian: drop
  * d/rules: wrap configure options
  * d/patches: drop mapage patch
  * d/control: add Rules-Requires-Root no
  * d/control: bump to std version 4.2.0 (no further changes)
  * d/gbp.conf: add minimal config

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 21 Aug 2018 16:13:34 +0200

logrotate (3.14.0-1) unstable; urgency=medium

  * New upstream version 3.14.0 (Closes: #879262)

  * debian:
    - Switch to debhelper 11
    - Support logrotation triggered by systemd timer (Closes: #858021)

    - control:
      + Set myself as maintainer (Closes: #887151)
      + Bump standards version to 4.1.4
      + Update vcs fields (Closes: #823687)
      + add minimal autotest suite
    - cron.daily: Align with upstream
    - logrotate.conf: align with upstream
    - patches:
      + Refresh patches, drop upstream applied ones
      + spelling fix
    - rules:
      + Enable hardening
      + Add dh_missing --fail-missing
      + Simplify statefile change
      + set correct path for mail command
    - watch: check signature

 -- Christian Göttsche <cgzones@googlemail.com>  Fri, 29 Jun 2018 11:26:00 +0200
