=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: admin
 Priority: important
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: libpopt-dev, debhelper (>= 9),
- libselinux1-dev [linux-any], libacl1-dev [linux-any], automake
-Vcs-Svn: http://svn.fedorahosted.org/svn/logrotate/
+XSBC-Original-Maintainer: Christian Göttsche <cgzones@googlemail.com>
+Build-Depends: libpopt-dev, debhelper (>= 11),
+ libselinux1-dev [linux-any], libacl1-dev [linux-any]
+Vcs-Browser: https://salsa.debian.org/debian/logrotate
+Vcs-Git: https://salsa.debian.org/debian/logrotate.git
 Homepage: https://github.com/logrotate/logrotate
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 
 Package: logrotate
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon, base-passwd (>= 2.0.3.4)
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, cron | anacron | cron-daemon | systemd-sysv
 Breaks: postgresql-common (<= 126)
 Suggests: bsd-mailx | mailx
 Description: Log rotation utility
