=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-state-file-path=/var/lib/logrotate/status \
		--with-default-mail-command=/usr/bin/mail

override_dh_auto_clean:
	dh_auto_clean
	cd test ; rm -f $$(ls | egrep '^test-config.[0-9]+$$')
	cd test ; rm -f test*.log* anothertest*.log* state test-config.
	cd test ; rm -f scriptout mail-out compress-args different*.log*

# ACL tests will fail if we're not building with ACL
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_auto_test
  endif
endif

override_dh_missing:
	dh_missing --fail-missing
