=== debian/tests/control ===
Tests: version simple-run
Depends: @
Restrictions: needs-root
