## logrotate 3.15.1

=== debian/changelog ===
logrotate (3.15.1-2) unstable; urgency=medium

  * d/control: drop postgresql-common break
  * d/copyright: update for 2019
  * d/salsa-ci.yml: add standard salsa-ci configuration
  * d/tests: add additional small test script
  * d/patches: add testsuite patches to pass reprotest on salsa-ci
  * d/patches: tighten systemd service hardening
  * d/control: bump to std version 4.4.1 (no further changes)
  * d/source/lintian-overrides: ignore package-does-not-install-examples

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 12 Nov 2019 15:24:39 +0100

logrotate (3.15.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Christian Göttsche ]
  * New upstream version 3.15.1

  * d/patches: rebase and drop upstream applied ones
  * d/patches: add spelling fix
  * d/control: bump to std version 4.4.0 (no further changes)
  * debian: Switch to debhelper compat level 12 (no further changes)

 -- Christian Göttsche <cgzones@googlemail.com>  Fri, 30 Aug 2019 20:37:13 +0200
