## logrotate 3.17.0

=== debian/changelog ===
logrotate (3.17.0-1) unstable; urgency=medium

  * New upstream version 3.17.0 (Closes: #945097, #966016)

  * debian:
    - bump to debhelper compat level 13
    - wrap-and-sort
  * d/rules:
    - drop custom cleanup
  * d/patches:
    - rebase and drop applied ones
    - drop patch disabling test 70
    - move debian specific patch to subdir
    - cherry-pick upstream commits:
      + use getenv() on macOS and BSD
      + logrotate.service: harden with ProtectHostname
      + tests: always run logrotate in verbose mode
      + test-0070: set log modification time to current date
      + make `delaycompress` not to fail with `rotate 0`
  * d/logrotate.preinst: drop ancient maintainer script about old state file
    paths
  * d/control: add acl package to build-dependencies to run ACL unit tests
    on Linux
  * d/copyright: update years

 -- Christian Göttsche <cgzones@googlemail.com>  Thu, 17 Sep 2020 19:37:27 +0200

logrotate (3.16.0-3) unstable; urgency=medium

  * d/patches: cherry-pick upstream switch-user fixes
    - When using configuration directive su, accept staying as user root.
      In particular restore mailman's usage of 'su root list'.
    - Reset user/group when error returning early in rotateLogSet().

 -- Christian Göttsche <cgzones@googlemail.com>  Wed, 08 Apr 2020 20:04:29 +0200

logrotate (3.16.0-2) unstable; urgency=medium

  * d/patches:
    - add upstream commit to silence unused parameter warning in
      acl disabled build
      Should fix FTBFS on architectures without acl
    - add upstream commit to enable systemd hardening option ProtectClock

 -- Christian Göttsche <cgzones@googlemail.com>  Tue, 17 Mar 2020 12:14:13 +0100

logrotate (3.16.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop no longer supported add-log-mailing-address setting from
    debian/changelog.
  * Add missing colon in closes line.
  * Remove obsolete fields Name from debian/upstream/metadata.

  [ Christian Göttsche ]
  * New upstream version 3.16.0 (Closes: #915301)

  * d/patches: rebase and drop upstream applied ones
    - add new directive ProtectKernelLogs
    - drop NoNewPrivileges, which is actually not implied and
      might be needed for third party rotate scripts
  * d/copyright: add extra sections
    - add section for queue.h licensed under BSD-3-Clause
    - add section for build-aux/git-version-gen licensed under GPL-3+
  * d/control: bump to std version 4.5.0 (no further changes)
  * d/rules: fail on compiler warnings

 -- Christian Göttsche <cgzones@googlemail.com>  Sat, 29 Feb 2020 20:00:32 +0100
